Bug 241626 - Unable to click scim panel applet nor select input method using ctrl+space
Unable to click scim panel applet nor select input method using ctrl+space
Status: CLOSED DUPLICATE of bug 236974
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 00:14 EDT by Eugene Teo (Security Response)
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-29 00:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2007-05-29 00:14:36 EDT
Description of problem:
When I click the scim panel applet, nothing appears. I can't configure it nor
select the input method.

When I try to run a scim-aware app, i.e. pidgin, pressing ctrl+space has no
effect. Not even when I run "GTK_IM_MODULE=scim-bridge gedit".

This is a fresh rawhide install since this morning. I did not do any
configurations on scim, except to run it automatically using gnome-sessions when
I start logging in. I compared the list of rpms with cchance, and we have got
matching rpm versions. It worked previously, with an earlier version of rawhide.

Version-Release number of selected component (if applicable):
[eteo@kerndev ~]$ rpm -qa | grep scim
scim-anthy-1.2.2-3.fc7
scim-bridge-gtk-0.4.10-1.fc7
scim-libs-1.4.5-18.fc7
scim-1.4.5-18.fc7
scim-tables-0.5.7-3.fc7
scim-tables-chinese-0.5.7-3.fc7
scim-chewing-0.3.1-9.fc7
scim-bridge-0.4.10-1.fc7
scim-pinyin-0.5.91-16.fc7
scim-m17n-0.2.1-1.fc7
scim-hangul-0.3.1-1.fc7
[eteo@kerndev ~]$ rpm -qa | grep fonts
xorg-x11-fonts-75dpi-7.1-3.fc7
fonts-chinese-3.03-4.fc7
fonts-japanese-0.20061016-6.fc7
xorg-x11-fonts-misc-7.1-3.fc7
tetex-fonts-3.0-39.fc7
bitmap-fonts-0.3-5.1.2.fc7
mplayer-fonts-1.1-4.lvn6
urw-fonts-2.3-6.1.1
ghostscript-fonts-5.50-16.fc7
xorg-x11-fonts-base-7.1-3.fc7
xorg-x11-fonts-ISO8859-1-75dpi-7.1-3.fc7
xorg-x11-fonts-Type1-7.1-3.fc7
dejavu-lgc-fonts-2.15-1
xorg-x11-fonts-100dpi-7.1-3.fc7
xorg-x11-fonts-truetype-7.1-3.fc7
fonts-korean-1.0.11-9.1.1
xorg-x11-fonts-ISO8859-1-100dpi-7.1-3.fc7

How reproducible:
Fresh rawhide install as of May 29, 2007 (GMT+8)

Steps to Reproduce:
1. Click on the scim panel applet (keyboard icon), but nothing appears
or
1. Run "GTK_IM_MODULE=scim-bridge gedit", but nothing appears when I press
ctrl+space
  
Actual results:
Nothing happened.

Expected results:
I should be able to see a menu when I click the scim panel applet or see a list
of input methods to choose when I press ctrl+space.

Additional info:
Comment 1 Jens Petersen 2007-05-29 00:33:33 EDT
For a non-Asian desktop you need to activate scim with im-chooser.
It's in the release notes, but all rather confusing. :-/

*** This bug has been marked as a duplicate of 236974 ***

Note You need to log in before you can comment on or make changes to this bug.